#include "timer.h"

void timer_init(void)
{	
	// this is needed to enable us timer (otherwise us would equal ms)
	system_timer_reinit();

	// set timer callback function
	os_timer_setfn(&myTimer, timer_callback, NULL);

	// 800us repeat rate equals 1250Hz
	// fourth argument: 0=us, 1=ms
	ets_timer_arm_new(&myTimer, 800, true, 0);
}

void timer_callback(void *pArg)
{
	transmit_tlc();
}