#ifndef _TLC5947_H
#define _TLC5947_H

#include <Arduino.h>
#include "user_interface.h"
#include "rgbcube.h"

#define LATCH_WIRE 12//PIN3
#define PLANE_1_WIRE 4//PIN0
#define PLANE_2_WIRE 5//PIN2
#define PLANE_3_WIRE 0//PIN4
#define PLANE_4_WIRE 2//PIN6
#define BLANK_WIRE 16//PIN1
#define PLANE_1 2
#define PLANE_2 3
#define PLANE_3 0
#define PLANE_4 1

static volatile uint8_t tlc_byte_status;
static volatile int8_t led_x,led_y;
volatile uint8_t plane_num;
static volatile uint8_t color_num;
rgb_led ptr_rgb_data[4][4][4];
volatile uint8_t time_to_latch;
uint8_t counter;
const uint8_t switch_ary[4]={1,0,3,2};

extern void transmit_tlc();
extern void tlc_init();
extern void latch();
extern void set_tlc_byte_status_1();
extern void led_inc();

#endif